| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Digikam::HotPixelProps Class Reference

## Public Member Functions
bool | fromString (const QString &str)
int | height () const
bool | operator== (const HotPixelProps &p) const
QString | toString () const
| Helper methods to stream container data with string.
int | width () const
int | x () const
int | y () const

## Static Public Member Functions
static QList< HotPixelProps > | fromStringList (const QStringList &hplst)
static QStringList | toStringList (const QList< HotPixelProps > &lst)
| Helper methods to stream list of containers data with string list.

## Public Attributes
int | luminosity
QRect | rect

## Member Function Documentation

## ◆ operator==()

bool Digikam::HotPixelProps::operator== | ( | const HotPixelProps & | p | ) | const

NOTE:we can say they're same hotpixel spot if they touch (next to) each other horizontally or vertically, not diagonal corners